Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaRedefine

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaExternal
                  org.apache.ws.commons.schema.XmlSchemaRedefine

    public class XmlSchemaRedefine

extends XmlSchemaExternal

Allows simple and complex types, groups, and attribute groups from external schema files to be redefined in the current schema. This class provides versioning for the schema elements. Represents the World Wide Web Consortium (W3C) redefine element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaRedefine()` Creates new XmlSchemaRedefine

Method Summary
`XmlSchemaObjectTable` | `getAttributeGroup()`
`XmlSchemaObjectTable` | `getGroup()`
`XmlSchemaObjectCollection` | `getItems()`
`XmlSchemaObjectTable` | `getSchemaTypes()`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaExternal
`getSchema, getSchemaLocation, setSchema, setSchemaLocation`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaRedefine

    public XmlSchemaRedefine()

  Creates new XmlSchemaRedefine

Method Detail

### getAttributeGroup

    public XmlSchemaObjectTable getAttributeGroup()

### getGroup

    public XmlSchemaObjectTable getGroup()

### getItems

    public XmlSchemaObjectCollection getItems()

### getSchemaTypes

    public XmlSchemaObjectTable getSchemaTypes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.